/**
 * @file
 * Javascript functions for Selector SimpleCloser.
 */

(function ($) {
  "use strict";

  function simplecloser_function(context, elements) {
    $("body").on('click touchenter', function (e) {
      for(var i = 0; i < elements.length; i++) {
        var element = elements[i];
        if ($(e.target, context).closest(element).length === 0) {
          $(element).hide();
        }
      }
    });
  }

  Drupal.behaviors.simplecloser = {
    attach: function (context, settings) {
      var allelements = Drupal.settings.simplecloser_element;
      var elementsArray = allelements.split("\n");
      simplecloser_function(context, elementsArray);
    }
  };
})(jQuery);
